RDKit: RDKit::Chirality::WedgeInfoAtropisomer Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::Chirality::WedgeInfoAtropisomer Class Reference

`#include <Chirality.h>`

Inheritance diagram for RDKit::Chirality::WedgeInfoAtropisomer:

## Public Member Functions
| WedgeInfoAtropisomer (int bondId, RDKit::Bond::BondDir dirInit)
| ~WedgeInfoAtropisomer () override
WedgeInfoType | getType () const override
Bond::BondDir | getDir () const override
Public Member Functions inherited from RDKit::Chirality::WedgeInfoBase
| WedgeInfoBase (int idxInit)
virtual | ~WedgeInfoBase ()
int | getIdx () const

## Public Attributes
RDKit::Bond::BondDir | dir = RDKit::Bond::BondDir::NONE

## Detailed Description

Definition at line 273 of file Chirality.h.

## Constructor & Destructor Documentation

## ◆ WedgeInfoAtropisomer()

RDKit::Chirality::WedgeInfoAtropisomer::WedgeInfoAtropisomer | ( | int | bondId,
|  | RDKit::Bond::BondDir | dirInit )
| inline

Definition at line 275 of file Chirality.h.

References dir, and RDKit::Chirality::WedgeInfoBase::WedgeInfoBase().

## ◆ ~WedgeInfoAtropisomer()

RDKit::Chirality::WedgeInfoAtropisomer::~WedgeInfoAtropisomer | ( |  | ) |
| inlineoverride

Definition at line 279 of file Chirality.h.

## Member Function Documentation

## ◆ getDir()

Bond::BondDir RDKit::Chirality::WedgeInfoAtropisomer::getDir | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::Chirality::WedgeInfoBase.

Definition at line 287 of file Chirality.h.

References dir.

## ◆ getType()

WedgeInfoType RDKit::Chirality::WedgeInfoAtropisomer::getType | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::Chirality::WedgeInfoBase.

Definition at line 283 of file Chirality.h.

References RDKit::Chirality::WedgeInfoTypeAtropisomer.

## Member Data Documentation

## ◆ dir

RDKit::Bond::BondDir RDKit::Chirality::WedgeInfoAtropisomer::dir = RDKit::Bond::BondDir::NONE

Definition at line 281 of file Chirality.h.

Referenced by getDir(), and WedgeInfoAtropisomer().

The documentation for this class was generated from the following file:

- Chirality.h